### Signal

# Adw NavigationView::get-next-page

since: 1.4

#### Declaration

    AdwNavigationPage*
    get_next_page (
      AdwNavigationView* self,
      gpointer user_data
    )

#### Description [src]

Emitted when a push shortcut or a gesture is triggered.

To support the push shortcuts and gestures, the application is expected to return the page to push in the handler.

This signal can be emitted multiple times for the gestures, for example when the gesture is cancelled by the user. As such, the application must not make any irreversible changes in the handler, such as removing the page from a forward stack.

Instead, it should be done in the `AdwNavigationView::pushed` handler.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.4

#### Return value

Type: `AdwNavigationPage`

The page to push.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.